services:
  api:
    image: ${YEETFILE_IMAGE}:${YEETFILE_TAG}
    container_name: ${YEETFILE_CONTAINER_NAME}
    restart: ${YEETFILE_RESTART_POLICY}
    security_opt:
      - no-new-privileges:true
    networks:
      - ${YEETFILE_NETWORk_ID}    
    ports:
      - 8090:${YEETFILE_PORT:-8090}    
    environment:
      UID: ${UID:-1000}
      GID: ${GID:-1000}
      TZ: ${TZ}
      YEETFILE_ALLOW_INSECURE_LINKS: 1
      YEETFILE_SERVER_SECRET: 2N1oTtwOHTyEbTFtz0yDLuzq3DhgjIWmSKw4gNcH8Vk=
    